Get user

GET/v1/admin/users/{userId}

How to call this endpoint

Every ACP API request uses bearer authentication. The examples here show the actual request path, auth header, and body shape that the platform expects.

Path, query, and header parameters

These parameters control which ACP object the endpoint acts on and how the request is processed.

Path parameters
NameLocationTypeRequiredDescription
userIdpathstringYesUser ID
Query parameters
None.

Body schema

This endpoint does not require a request body.

None.

What the API returns

Each response code below includes the documented payload shape for the ACP API.

200User and budget detailsapplication/json
FieldTypeRequiredDescription
idstringNoUnique identifier.
emailstringNo—
namestringNoHuman-readable name.
createdAtstringNoISO 8601 timestamp.
updatedAtstringNoISO 8601 timestamp.
lastLoginAtstringNoISO 8601 timestamp.
isActivebooleanNo—
metadataobjectNoFree-form metadata object.
budgetobjectNo—
budget.userIdstringNoUser ID.
budget.actorUserIdstringNo—
budget.organizationIdstringNo—
budget.planIdstringNo—
budget.organizationPlanobjectNo—
budget.balancenumberNo—
budget.balanceUsdnumberNo—
budget.totalSpentnumberNo—
budget.totalSpentUsdnumberNo—
budget.dailyLimitnumberNo—
budget.monthlyLimitnumberNo—
budget.tierstringNo—
budget.subscriptionStatusstringNo—
budget.subscriptionSourcestringNo—
budget.periodStartDatestringNo—
budget.periodEndDatestringNo—
budget.currentPeriodUsagenumberNo—
budget.currentPeriodUsageUsdnumberNo—
budget.usagePercentagenumberNo—
budget.tierQuotanumberNo—
budget.tierQuotaUsdnumberNo—
budget.includedTierQuotanumberNo—
budget.includedTierQuotaUsdnumberNo—
budget.remainingIncludedQuotanumberNo—
budget.remainingIncludedQuotaUsdnumberNo—
budget.topUpBalancenumberNo—
budget.topUpBalanceUsdnumberNo—
budget.topUpTotalPurchasednumberNo—
budget.topUpTotalPurchasedUsdnumberNo—
budget.availableBudgetnumberNo—
budget.availableBudgetUsdnumberNo—
budget.totalAvailableBudgetnumberNo—
budget.totalAvailableBudgetUsdnumberNo—
budget.billingWalletobjectNo—
budget.usageBillingEnabledbooleanNo—
budget.monthlyResourceSpendLimitnumberNoMonthly persistent-resource spend cap in USD.
budget.monthlyResourceSpendLimitUsdnumberNoMonthly persistent-resource spend cap in USD.
budget.pauseOnLimitbooleanNo—
budget.resourceEmailAlertsbooleanNo—
budget.monthlyResourceSpendnumberNo—
budget.monthlyResourceSpendUsdnumberNo—
budget.monthlyMeteredResourceUsagenumberNo—
budget.monthlyMeteredResourceUsageUsdnumberNo—
budget.createdAtstringNoISO 8601 timestamp.
budget.updatedAtstringNoISO 8601 timestamp.
404Resource not foundapplication/json
FieldTypeRequiredDescription
errorstringNo—
Get user
Loading...
Response 200
Loading...
See the ACP quickstart and SDK flow